from django.urls import path
from . import views

app_name = 'nhncloud'

urlpatterns = [
    path('', views.apiList),
    
    # TEST
    # path('test/', views.rs_test),
    path('test/<int:pk>/', views.modelIndex_single),
    path('fileUpload/', views.fileUpload, name='fileUpload'),
    # VIEW
    path('preparations/', views.preparations), # 사용전 주의 사항 매뉴얼
    # path('applyClusterLbRequest/', views.applyClusterLbRequest), # kubernetes Apply
    path('nksApply/', views.nksApply), # kubernetes Apply
    path('createVpcRequest/', views.createVpcRequest), # vpc생성 입력 페이지
    path('createClusterRequest/', views.createClusterRequest), # 클러스터 생성 입력 페이지
    path('createClusterOnlyRequest/', views.createClusterOnlyRequest), # 클러스터 생성 입력 페이지
    path('removeClusterRequest/', views.removeClusterRequest), # 클러스터 삭제 입력 페이지   
    path('infoClusterDetailRequest/', views.infoClusterDetailRequest), # 클러스터 1개 상세 정보 조회 요청
    path('infoVpcListRequest/', views.infoVpcListRequest), # Vpc 전체 리스트 조회
    path('infoClusterListRequest/', views.infoClusterListRequest), # Cluster 전체리스트 조회
    path('infoObjectStorageRequest/', views.infoObjectStorageRequest), # Cluster 전체리스트 조회
    path('createObjectStorageRequest/', views.createObjectStorageRequest), # createObjectStorageRequest
    
    # Apply
    path('kubectlApplyLB/', views.kubectlApplyLB, name='kubectlApplyLB'), # post 전송 페이지 kubectlApply
    # CREATE
    path('createVpc/', views.createVpc, name='createVpc'), # post 전송 페이지
    path('createCluster/', views.createCluster, name='createCluster'), # post 전송 페이지
    path('createOnlyCluster/', views.createOnlyCluster, name='createOnlyCluster'), # post 전송 페이지
    path('createObjectStorage/', views.createObjectStorage, name='createObjectStorage'), # createObjectStorage
    
    # DELETE
    # path('removeVpc/', views.removeVpc, name='removeVpc'), # vpc 삭제 실행
    path('removeCluster/', views.removeCluster, name='removeCluster'), # post 전송 페이지
    path('removeVpc/', views.removeVpc, name='removeVpc'), # post 전송 페이지
    path('removeObjectStorage/', views.removeObjectStorage, name='removeObjectStorage'), # post 전송 페이지
    
    # READ
    path('infoVpcList/', views.infoVpcList, name='infoVpcList'), # getClusterinfo
    path('infoClusterList/', views.infoClusterList, name='infoClusterList'), # getClusterinfo
    path('infoObjectStorageList/', views.infoObjectStorageList, name='infoObjectStorageList'), # infoObjectStorageList
    path('infoClusterDetail/', views.infoClusterDetail, name='infoClusterDetail'), # cluster 상세 상태 조회
    
    
    
    # test
    path('pythonRun/', views.pythonRun), # Cluster 전체리스트 조회
    
    #파일다운로드 테스트
]